#!/bin/sh

if [ -z "$1" ]; then

    fav_streamers="$(cat $FAV_STREAMERS)"


    for i in `seq 1 $(echo "$fav_streamers" | wc -l)`
    do
        streamer="$(echo "$fav_streamers" | sed "$i q;d")"

        if [ "$(youtube-dl -e "https://www.twitch.tv/$streamer" 2>/dev/null)" ]
        then
            online_streamers="$online_streamers\n$streamer"
        fi
    done

    first_line="$(echo "$online_streamers" | sed "1q;d")"
    if [ -z $first_line ]; then
        online_streamers="$(echo $online_streamers | sed "1d")"
    fi

    watch="$(echo "$online_streamers" | rofi -dmenu -p "Streamer name")"

else

    watch="$1"

fi

[ -n "$watch" ] && mpv "https://www.twitch.tv/$watch"
